<html>
<head>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

<script type="text/javascript">

// Load the Visualization API and the corechart package.
google.charts.load('current', {'packages':['corechart']});

// Set a callback to run when the Google Visualization API is loaded.
google.charts.setOnLoadCallback(download);

function url(cur) {
    return "/bfx/v2/candles/trade:5m:"+cur+":a30:p2:p30/hist";
}

function download() {
    var dUSD, dJPY, dEUR, dGBP;
    $.when(
        $.getJSON(url("fUSD"), function(d) {
            dUSD = d;
        }),
        $.getJSON(url("fJPY"), function(d) {
            dJPY = d;
        }),
        $.getJSON(url("fEUR"), function(d) {
            dEUR = d;
        }),
        $.getJSON(url("fGBP"), function(d) {
            dGBP = d;
        })
    ).then(function() {
        var d = new Array();
        var i = 0, ijpy = 0, ieur = 0, igbp = 0;
        for (; i < dUSD.length; i++) {
            d[i] = [
                new Date(dUSD[i][0]),
                Math.min(0.1, dUSD[i][3] * 100),
                dJPY[ijpy][0] >= dUSD[i][0] ? Math.min(0.1, dJPY[ijpy++][3] * 100) : null,
                dEUR[ieur][0] >= dUSD[i][0] ? Math.min(0.1, dEUR[ieur++][3] * 100) : null,
                dGBP[igbp][0] >= dUSD[i][0] ? Math.min(0.1, dGBP[igbp++][3] * 100) : null
            ];
        }
        //redraw graph when window resize is completed  
        $(window).on('resizeEnd', function() {
            drawChart(d);
        });
        drawChart(d);
    })
}

function drawChart(d) {

    // convert timestamp into Date object
    // for (var i = 0; i < d.length; i++) {
    //     d[i][0] = new Date(d[i][0])
    // }

    // Create the data table.
    var data = new google.visualization.DataTable();
    data.addColumn('datetime', 'mts');
    data.addColumn('number', 'USD');
    data.addColumn('number', 'JPY');
    data.addColumn('number', 'EUR');
    data.addColumn('number', 'GBP');
    data.addRows(d);

    //dataResponse is your Datatable with A,B,C,D columns        
    // var view = new google.visualization.DataView(data);
    // view.setColumns([0,1,2,3,4]); //here you set the columns you want to display

    // Set chart options
    var options = {'title': 'usd rates',
                    'width':1500,
                    'height':600,
                    explorer: {axis: 'horizontal', keepInBounds: true}
                };

    // Instantiate and draw our chart, passing in some options.
    var chart = new google.visualization.ScatterChart(document.getElementById('chart_div'));
    chart.draw(data, options);
}

//create trigger to resizeEnd event     
$(window).resize(function() {
    if(this.resizeTO) clearTimeout(this.resizeTO);
    this.resizeTO = setTimeout(function() {
        $(this).trigger('resizeEnd');
    }, 500);
});


</script>
</head>
<body>
<div id="chart_div"></div>
</body>
</html>
